CRM

List tasks for a record or for an assignee

GET
/v1/crm/tasks

Authorization

x-api-key<token>

In: header

Query Parameters

entityId?string
assigneeUserId?string
owner?string
Value in"me"
status?string
Value in"open" | "completed" | "cancelled"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/crm/tasks"
{
  "data": [
    {
      "allDay": true,
      "assigneeUserId": "string",
      "body": "string",
      "calendarEventId": "string",
      "calendarProvider": "google",
      "cancelledAt": 0,
      "completedAt": 0,
      "createdAt": 0,
      "createdByUserId": "string",
      "dueAt": 0,
      "entityId": "string",
      "id": "string",
      "listId": "string",
      "status": "open",
      "title": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}